import { InputType } from '../../models/input-type';
import { ValidatorError } from '../../utils/validator';
export declare class Input {
    private el;
    color?: string;
    compact?: boolean;
    error?: boolean;
    hasFocus?: boolean;
    info?: string;
    label?: string;
    name?: string;
    tooltip?: string;
    validation?: string;
    autocomplete?: string;
    disabled: boolean;
    max?: string;
    min?: string;
    placeholder?: string;
    rows?: number;
    type: InputType;
    value?: string;
    a11yAriaExpanded?: boolean;
    a11yAriaHaspopup?: 'dialog' | 'grid' | 'listbox' | 'menu' | 'tree';
    a11yRole?: string;
    private showPassword;
    private hasHover;
    private _initialValue?;
    private _inputCreator;
    private handleBlur;
    private handleFocus;
    private handleInput;
    private handleShowPassword;
    private resizeTextarea;
    private get hover();
    reset(): Promise<void>;
    validate(silent?: boolean): Promise<ValidatorError[]>;
    componentDidLoad(): void;
    componentDidUnload(): void;
    renderIcon(): any;
    render(): any;
}
